
   Версия CUF - 1.98
____________________

1) Дополнительный пункт в настройке "Обнуление при начислении":
   - Только основная сумма.
   При промежуточном начислении обнуляется только основная сумма в
   не выполненных операциях.
2) Экспорт-импорт:
   При экспорте не устанавливается пользователь "Суперпользователь", а
   экспортируется существующий пользователь. При импорте проверяется
   пользователь по имени - если в принимающей базе есть такое имя,
   то оно устанавливается, если нет - устанавливается "Суперпользователь".
3) В пункте показатели - дополнительный пункт "Статистика операций".
   Позволяет определить какие операции выполнил каждый пользователь
   за выбранный период (балансовые даты).
4) В корректировке и просмотре договора клавиша Alt+F8 показывает
   сколько раз (не более 255) был удален, а затем перезаписан данный
   договор. Установка сохраняется при вызове договора из буфера
   удаленных договоров.
5) Исправлен "глюк" при изменении даты возвращения залога.
6) Новый флаг в "Настройках для договоров" - "Вызов контакта в договоре".
   При установке "Да" при вызове существующего договора, если по договору
   есть контакт, то предварительно вызывается контакт.
7) Новый флаг в "Доступные операции" - "Отрицательное начисление на пай".
8) Новый флаг в "Административные НАКСУ" - "Отчет в ГКРРФУ".
9) Новые флаги в "Дополнительные КС":
    - "Экспорт в DBF: дата;
    - "Экспорт в DBF: ИНН;
    - "Экспорт в DBF: паспорт;
    - "Экспорт в DBF: МФО.
10) Новый тип поля в документаторе: "ФИО полностью"
11) Новый тип поля в документаторе: "Постоянная величина" - в значение поля
    выводится заданная фиксированная величина.
12) Новый пункт в "Просроченность" меню показателей: при выводе тип
    ведомости "По таблице" новая настройка "Начиная со строки" -
    выводится не вся стандартная таблица просроченности, а начиная с
    указанной строки (в частности, можно не выводить первую строку
    до 30 дней, которая не входит в отчет о просроченности).
13) Исправлен "глюк" при выполнении операции с пустым залогом.

   Версия CUF - 2.0
____________________


1) Отчетность в ГКРРФУ
   Флаг в настройке "Административные КС" - "Отчетность в ГКРРФУ"
   установить "Да".
2) Новые установки в договоре:
   - пролонгация;
   - безнадежность.
3) Новый тип погашения в кредитном договоре - списание.
4) При инсталляции пустой базы или при отсутствии дополнительных полей
   договоров автоматически создается поле "Тип кредита" и 5 стандартными
   значениями.
5) Новые флаги в настройках:
   "Отчетность в ГКРРФУ":
   - Передача АС из ТВ: передавать или нет сальдо по аналитическим счетам
     из бухгалтерии в программу отчетности при вызове последней из
     КС-финансы;
   - Капитал - значение капитала для автономной версии при формировании
     отчетности (для полной версии капитал берется из бухгалтерии).
   "Административные КС":
   - Последний период проблемного кредита - устанавливать или нет в
     последнем периоде погашение:
     - на спецсчет при реализации залога;
     - на списание для безнадежного кредита.
   - Число пролонгаций - максимальное число раз пролонгирования кредита
     (от 1 до 250).
   "Просроченность":
   - Обновление графика для неоткрытых договоров - после удаления и
     сохранения договора без выполненных операций обновлять или нет
     плановый график;
   - Списание только безнадежных - блокировка списания не безнадежных
     кредитов;
   - учет возврата ОС в 1-м периоде при расчете просроченности.
   "Экспорт-импорт":
   - установка флага экспорта при импорте;
   - сброс флага экспорта при экспорте.
6) В шаблонах формуляров возможность слияния текстовых полей в одно
   поле (например, фамилия+имя+отчество).
7) В настройках доступа пользователей можно заблокировать удаление
   договоров и выполнение пролонгаций/установку безнадежности.
8) Исправлен глюк при экспорте-импорте кредитных договоров с обеспечением
   в форме поручительства третьих лиц.

   Версия CUF - 2.1
____________________


1) Исправлен глюк при расчете просроченности по таблице при наличии
   фильтра по членам КС.
2) В документаторе показателей возможность использования скрытой
   колонки таблицы (длина=0).
3) Новый флаг в договорах - "Спецтип": значения Да-Нет.
   Для доступа к флагу в настройке "Административные КС", "Дополнительные
   для договоров" - пункт "Спецтип" установить "Да". Пользователям
   можно закрыть доступ к договорам со "Спецтип" установлен "Да"
   (устанавливается на панели "Дополнительные сведения").
4) Возможность закрыть доступ пользователя к кассовой книге.
5) Возможность закрыть доступ пользователя к формированию шаблонов.
6) Уточнен алгоритм начисления по всем договорам при обнулении только
   основной суммы (для договоров, закрытых ранее даты начисления).
7) Новые флаги для формирования отчетности:
   - Передача данных из журнала ТВ;
   - Передача данных из журнала КС;
   - Пролонгированный и просроченный кредит до 1 месяца включается ли
     в дод. 6.
8) Исправлен глюк при передаче пролонгированных кредитов в программу
   отчетности (учет даты пролонгации).

   Версия CUF - 2.11
____________________


1) Возможность подключения новых внутренних счетов: "Проценты авансом"
   для всех типов договоров (кредит, депозит). В настройках "Настройки
   НАКСУ", "Допустимые операции" - в пункте типа договора установить
   пункт "Проценты авансом" - "Да".
2) В кассовой книге сделано пофамильное меню при вызове журнала
   КС-финансы.
3) Возможность смены пароля суперпользователя.
4) Исправлен глюк - стандартные договоры, фиксированный процент,
   начисление процентов.

   Версия TB - 3.30
____________________


1) Сообщение, если диск закрыт для записи.
2) Дата BIOS в setup.
3) В резервные копии помещаются файлы отчетности.

   Версия CUF - 2.12
____________________


1) Уточнена процедура полной индексации (нулевые даты в графике)
2) Число юрлиц увеличено до 100000.
3) В кассовой книге возможен выбор по одному члену.
4) Исправлен глюк в формулярах показателей - безналичные расчеты
   после импорта.
5) Полный конвертор в DBF-формат.

   Версия CUF - 2.20
____________________


1) Стандартные значения базовых полей членов и юрлиц.
2) Новые базовые поля для членов КС "Почтовый адрес" и "Должность".
3) Новый флаг в "Дополнительные КС" - "Почтовый адрес",
   значения - "Прямой", "Обратный".
3) Исправлен глюк в кассовой книге - выбор из КС-финансы (не все записи
   выводились в версии 2.11).
4) Исправлен глюк - расчеты через юрлица, когда юрлиц нет.
5) Новая версия программы отчетности 1.6 (новые формы).
6) Фильтр по пользователям в показателях и формулярах.
7) В документаторе формуляров новое поле "Пользователи".

   Версия CUF - 2.21
____________________


1) Программа отчетности - формирование отчетности из ТВ при архивации в
   середине года.
2) Исправлен глюк версии 2.20 - нет активного окна в ведомостях члена и
   ведомости по месяцам.
3) Новые базовые поля для юрлиц "Почтовый адрес".
4) Новое базовое поле для членов КС "Подразделение".
5) Автоматическое обновление конфигурации БД для новой версии.
6) Исправлен глюк в программе отчетности (просроченность в ф. 6).
7) Программа отчетности - перед выбором стандартного периода
    вводится год.
8) Формуляры показателей - дополнительный список все договоры.

   Версия CUF - 2.22
____________________


1) Новый параметр - "Административные КС", "Отчетность в ГКРРФУ":
   вычисление средневзвешенного процента в договоре (учет длины периода).
2) Уточнен алгоритм расчета средневзвешенного процента для фиксированного
   процента и при начальной задолженности.
3) Средневзвешенный процент выводится в договоре.
4) Не изменяется пользователь при удалении договора.

   Версия CUF - 2.23
____________________


1) Исправлен глюк версии 2.21 в программе отчетности при формировании
   данных из ТВ в КС-финансы при архивации в середине года.
2) Увеличена длина поля "Должность" до 40.
3) Новая пользовательская настройка "Сдвижка окна при выборе значения
   из меню".
4) Новая настройка филиала - наименование кассовой книги.
5) Возможность установки атрибутов рабочих файлов.
6) Изменения в графике погашения договора - после Alt+P,Alt+R вызывается
   меню стандартных операций.
7) Изменения в графике погашения договора - новая функция Alt+K -
   автоматический пересчет процентов по новой ставке за указанный период.
   При этом по выполненным операциям процентная ставка не меняется, а
   повышенные (пониженные) проценты включаются в последний день периода
   пересчета.

   Версия CUF - 2.24
____________________


1) Исправлен глюк - при полной индексации при удаленных пользователях
   неправильно устанавливались пользователи.
2) При импорте если пользователя, выполнившего операцию, нет в принимающей
   базе, то он туда вносится.
3) Новый флаг в настройках "Административные НАКСУ"-"Допустимые операции" -
   "Тип процентов авансом". Можно изменить тип счета "Проценты авансом" на
   противополжный - активный на пассивный, и наоборот.
4) В дополнение к 2.23 возможность отключения смены атрибутов рабочих файлов.
5) Изменение атрибутов файлов данных в автономной версии.

   Версия CUF - 2.25
____________________


1) Исправлен глюк - в карточке члена не видна вторая часть ИНН.
2) Исправлен глюк - если кассовая книга по филиалу установлена "По выбору",
   но имя кассовой книги не задано, то принимается значение "Кассовый отчет
   по филиалу".
3) При печати под WINDOWS XP уточнен алгоритм восстановления видеорежима
   при 28 и 50 строках на экране.
4) Исправлен глюк - в расчете резервирования для безнадежных кредитов
   всегда было 100%, не зависиво от даты установки безнадежности.
   Сейчас зависит от даты.

   Версия CUF - 2.26
____________________


1) Исправлен глюк - пересчет процентов по Alt+K для нулевого процента.
2) При пересчете процентов по Alt+K вызывается меню стандартных операций.

   Версия CUF - 2.27
____________________


1) Новый флаг члена КС - отключение налога (при наличии подоходного
   налога на пай или депозит).
2) Новый флаг в настройках КС - число входов в систему с неправильным
   паролем.
3) Ограничение пароля по дате.
4) Запрос на резервирование.

   Версия CUF - 2.28
____________________


1) При ошибке в заголовке сообщается номер файла.
2) Исправлен глюк - статистика операций для не суперпользователя
   (была ошибочная ссылка на пользователя).

   Версия CUF - 2.29
____________________


1) Исправлен глюк - при погашении процентов с учетом процентов авансом
   в случае комбинированного погашения через спецсчет юрлица не
   включалась в связанный список проводок по юрлицу одна из проводок
   по погашению процентов.
2) В dbf-конвертор добавлены новые поля членов (почтовый адрес,
   подразделение, должность) и юрлиц (почтовый адрес).

   Версия CUF - 2.30
____________________


1) Новое поле в катрочке члена КС и юрлица - дата последней операции.
   Значение передается в копию БД и документатор.
2) Фильтр по проводкам.
3) Фильтры в сводной ведомости.
4) Статистика операций:
   - выводится общее число проводок по пользователю;
   - возможно отсечение по фильтру;
   - возможен общий вывод операций (не по пользователям).
5) Возможность начисления на блокированный взнос.

   Версия CUF - 2.31
____________________


1) Исправлен глюк - деление на ноль при распределении с нулевыми паеднями.
2) Исправлен глюк - копирование в DBF-файл таблицы начисления на пай по
   годовому проценту.
3) В ведомостях показателей возможна выборка по начислению на пай.
4) В проводке по начислению на пай указываются взносы, на которые было
   начисление (ENTER в ведомости показателей).
5) Для автоматически присоединенного взноса можно посмотреть какой
   был тип начисления (ENTER на панели формирования взноса или
   Ctrl+ENTER в ведомости взносов).
6) Новый тип фильтра - жесткий.
   В настройках "Административные КС" - "Административные КС" флаг
   "Тип фильтра".

   Версия CUF - 2.32
____________________


1) Новые поля в копиях БД и документаторе договоров "Первая операция" -
   дата, ОС на приход и расход, проценты на приход и расход.
2) Исправлен глюк - сортировка АС в ТВ, когда окно на "Новый счет".
3) Исправлен глюк - ведомость начисления на пай "По начислениям" (2.31)
   не включалось ручное присоединение, сбивалась начальная дата при
   выводе по месяцам.
4) Уточнена процедура формирования отчета из ТВ в случае архивации в
   середине года - передача данных из ТВ за один квартал.
   Описание настройки параметров см. в fin_flag.txt.

   Версия CUF - 2.33
____________________


1) Программа отчетности - новые пункты меню для дат - "По умолчанию",
   "Все", "Из последнего отчета".
2) Программа отчетности -   увеличено число позиций для суммы в Дод. 5 и
   число позиций для числа членов в Дод. 2.
3) Кассовая книга - в настройках флаг проверки номеров ордера; новая
   функция формирования записи - принять свободный номер.
4) В фильтре по проводкам - выборка по корреспонденции.
5) Исправлен глюк в фильтре по членам КС версии 2.29.

   Версия CUF - 2.34
____________________


1) Исправлен глюк в фильтре по юрлицам документатора версии 2.29.
2) Новый флаг в договоре с минимальным процентом - начисление
   дополнительного процента в конце срока. "Административные КС",
   "Дополнительные для договоров", "Минимальный процент".
3) Исправлен глюк - минимальный процент в стандартных договорах.
4) Уточнена процедура полной индексации - проверка недопустимых
   значений чисел с плавающей точкой.
5) Добавлены новые поля в документатор - проценты авансом на
   приход и расход. "Административные НАКСУ", "Допустимые операции",
   "Проценты авансом в документаторе".
6) Исправлен глюк - при переносе со взноса на взнос в корреспондирующем
   взносе операция выполнялась на начало дня (исправлено - на конец дня).
7) Новый флаг в настройках импорта - проверка начальной даты.
   Ранее принималась минимальная дата.
8) Введено начальное сальдо по счету "Списано".
9) Исправлен глюк - при импорте с флагом "Обновление только импортируемых"
   дублировались договоры юрлиц.

   Версия CUF - 2.35
____________________


1) Исправлен глюк версии 2.34 формуляры договоров для депозитов при
   открытом флаге "Проценты авансом в документаторе".
2) Новый флаг "Проценты авансом при начислении" - можно начислять
   проценты авансом непосредственно на прибыль или снимать их с
   основных процентов.
3) Новый флаг "Проценты авансом при погашении" - можно погашать
   проценты авансом непосредственно из кассы (спецсчет) или снимать
   их с основных процентов.
4) "Проценты авансом в документаторе" перенесены из "Допустимые операции"
   в "Дополнительные для договоров" и устанавливаются для каждого типа
   договоров.
5) Новый флаг в "Дополнительные для договоров" - "Операции по начислению
   процентов". Можно установить "Выполненные", тогда операции по начислению
   процентов попадают в выполненные операции, независимо от выполнения
   операции в графике.
6) Исправлен глюк в истории договоров (неправильное выделение памяти
   под список истории договоров "Информация"-"История договоров").

   Версия CUF - 2.36
____________________


1) Новый тип договора -  "До востребования".
2) Новый флаг настройки для договоров - "Корректировка закрытого договора".
   Позволяет без удаления корректировать закрытый договор:
   - дополнительные поля;
   - обеспечение;
   - продолжительность.
3) Уточнен алгоритм "Операции по начислению процентов" - "Выполненные".
   При наличии процентов авансом "Проценты авансом при начислении" всегда
   устанавливаются в "Проценты". Если операция в графике не выполненная,
   то проводка по процентам авансом - не выполненная, а по основным
   процентам - выполненная.

   Версия CUF - 2.37
____________________


1) Новый флаг в настройках отчетности "Безнадежные кредиты в ф.6".
   Позволяет отключить передачу задолженности по безнадежным кредитам
   в колонку "Задолженность" формы 6 ("Кредитная деятельность") программы
   отчетности в комиссию.
2) Новый флаг в настройках "Пользовательские" - "Исключенные члены в меню".
   При его установке в меню выбора членов можно выбирать исключенных.
3) Фильтр по пользователям в сводной ведомости.
4) Суммы проводок в статистике операций.
5) Копирование в DBF-файл статистики операций и сводной ведомости.
6) Исправлен глюк в процедуре полной переиндексации при потере ссылки на
   текст в кассовой книге. Раньше он мог приводить к нарушению индексации
   какого-либо члена в файле 070 (член удален).
7) Программа отчетности - в форму 2 передается число членов, имеющих
   задолженность только по основной сумме кредитов и депозитов (ранее
   передавались члены имеющие задолженность по основной сумме или
   процентам).

   Версия CUF - 2.38
____________________


1) Исправлен глюк - процедура начисления на пай. При нулевых паеднях
   не сохранялись данные ("Нет сумм к начислению"). Сейчас это сообщение
   появляется только при нулевой сумме к начислению.
2) Разделение флага "Автоматическая пролонгация" по типам договоров.
3) Исправлен глюк в истории договоров - иногда программа вываливалась
   при обращении к истории договоров.

   Версия CUF - 2.39
____________________


1) Разделение всех флагов операций по всем договорам по типам договоров.
2) Кассовая книга - настраиваемый разделитель номера ордера и текстовый
   формат номера, передаваемый в формуляр.
3) Число документов в формулярах увеличено со 100 до 1000.
4) Исправлен глюк - проверка дублирования кода.
5) Исправлен глюк - пользовательские настройки, стандартные договоры
   и настройки кассовой книги  (форма расчетов через юрлицо -
   код юрлица 6 цифр (было 3)).
6) Новый флаг в настройках доступа пользователей - корректировка выполненой
   операции.
7) Новый флаг отчетности - счетчик выданных кредитов по линии в форме 6.
   Для кредитных линий переходящих через 1 января (можно отключить
   счетчик числа договоров, заключенных в предыдущем году, а выданная сумма
   учитывается).

   Версия CUF - 2.40
____________________

   Версия CUF - 2.41
____________________

1) Исправлена ошибка: Проверка на дублирование кода с выбывшими членами 
                      - переполнение массива
2) Исправлена ошибка: Изменение атрибутов файлов при запуске конфигурации 
                      турбобаланса
3) Исправлена ошибка: Неправильный подсчет значений  в графике комбинированного 
                      погашения в случае 2 и более однотипных операций.
